> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cbom-attached-identities.md).

# cbomAttachedIdentities

Represents CBOM asset related identities.

### Examples

```graphql
type CbomAttachedIdentities {
  users: [String]
  groups: [String]
  servicePrincipals: [String]
  serviceAccounts: [String]
  iamPolicies: [String]
  attachedResources: [String]
  trustedBy: [String]
}
```

### Fields

| Field                        | Description                                                                                         | Supported fields |
| ---------------------------- | --------------------------------------------------------------------------------------------------- | ---------------- |
| users `[String]`             | Users associated with this asset.                                                                   |                  |
| groups `[String]`            | Groups associated with this asset.                                                                  |                  |
| servicePrincipals `[String]` | Service principals associated with this asset.                                                      |                  |
| serviceAccounts `[String]`   | Service accounts associated with this asset.                                                        |                  |
| iamPolicies `[String]`       | IAM policies attached to this asset.                                                                |                  |
| attachedResources `[String]` | Cloud resources attached to this asset.                                                             |                  |
| trustedBy `[String]`         | Entities that trust this asset, such as external accounts or services granted cross-account access. |                  |

### References

#### Fields with this object:

* [{} CloudItem.attachedIdentities](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cbom-attached-identities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
